#********************************************************************
# Wrapper Properties
#
# For information regarding these parameters refer to the
# Java Service Wrapper documentation at
#
#********************************************************************
# Java Application
#wrapper.debug=true
wrapper.java.command=%JAVA_HOME%/bin/java

# Java Main class
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperStartStopApp

# Java Classpath (wrapper.jar is required)
# Add JOnAS class path elements as needed starting from 2
wrapper.java.classpath.1=@jonas.base@/lib/wrapper.jar

# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=@jonas.base@/lib

# Java Additional Parameters
wrapper.java.additional.1=-Dorg.tanukisoftware.wrapper.WrapperStartStopApp.waitForStartMain=TRUE

# Initial Java Heap Size (in MB)
# set to zero so that -Xms can be set using wrapper.java.additonal
# in the wrapper_ext.conf file.  // BUG 304628
# SET JAVA_OPTS=-Xms<val> before running CREATE_WIN32SERVICE
wrapper.java.initmemory=0

# Maximum Java Heap Size (in MB)
# set to zero so that -Xmx can be set using wrapper.java.additonal
# in the wrapper_ext.conf file.  // BUG 304628
# SET JAVA_OPTS=-Xmx<val> before running CREATE_WIN32SERVICE
wrapper.java.maxmemory=0

# Port which the native wrapper code will attempt to connect to
wrapper.port=4777

#********************************************************************
# Application parameters.
#
# THESE PARAMETERS SHOULD NOT BE MODIFIED
#
# Parameters in this section specify the Java classes to be run
# and the parameters to the classes.
# The parameters defined in this section will start and stop
# JOnAS using the default server name of 'jonas'.
# wrapper.app.parameter.10 specifies the server name.  This value
# can be changed by setting wrapper.app.parameter.10 in the
# wrapper_ext.conf file that is generated by create_win32service
# ant task.
#
# The parameters below should be identical to those used
# by bin\nt\jonas.bat to start and stop the server.
#********************************************************************

# Start parameters
wrapper.app.parameter.1=org.ow2.jonas.lib.bootstrap.Bootstrap
wrapper.app.parameter.2=1
wrapper.app.parameter.3=org.ow2.jonas.server.Server

# Stop parameters
wrapper.app.parameter.4=org.ow2.jonas.lib.bootstrap.Bootstrap
wrapper.app.parameter.5=true
wrapper.app.parameter.6=4
wrapper.app.parameter.7=org.ow2.jonas.commands.admin.JonasAdmin
wrapper.app.parameter.8=-s
wrapper.app.parameter.9=-n
wrapper.app.parameter.10=jonas

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

# Log file to use for wrapper output logging.
wrapper.logfile=@jonas.base@/logs/wrapper.log

# Format of output for the log file.  (See docs for formats)
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=0

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=0

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper NT Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name=JOnAS

# Display name of the service
wrapper.ntservice.displayname=JOnAS

# Description of the service
wrapper.ntservice.description=JOnAS J2EE Application Server

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop.
wrapper.ntservice.interactive=false

#********************************************************************
# include wrapper.conf extensions specific to JONAS_BASE
#
# note that #include is a wrapper directive, not a comment
#
# this will be resolved to JONAS_BASE at the time of create_win32service
#********************************************************************
#include @jonas.base@/conf/wrapper_ext.conf
